## open-infrastructure-system-images 20160701

=== debian/changelog ===
open-infrastructure-system-images (20160701-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701.
  * Adding gpg verification to watch file.
  * Updating upstream git location.
  * Updating vcs fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Jul 2016 15:46:31 +0200

open-infrastructure-system-images (20160601-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160601.
  * Adding provides system-images.
  * Wrap and sorting control file.
  * Updating homepage field.
  * Switching to debhelper compat 10.
  * Adding watch file.
  * Making bootloader symlinks absolute to resolve within chroot, thanks
    to Ben Armstrong <synrg@debian.org>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Jun 2016 15:26:31 +0200

open-infrastructure-system-images (20160501-1) unstable; urgency=low

  * Initial upload to sid (Closes: #816416).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 May 2016 08:11:35 +0200
