=== debian/control ===
Source: open-infrastructure-system-images
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9.20160402~),
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/system-images
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images

Package: open-infrastructure-system-images
Architecture: all
Depends:
 open-infrastructure-system-build (>= 20160501),
 ${misc:Depends},
Recommends:
 live-manual-html | live-manual,
Conflicts:
 live-image-gnome-desktop,
 live-image-standard,
 live-images,
Replaces:
 live-image-gnome-desktop,
 live-image-standard,
 live-images,
Provides:
 system-images,
Description: System Image Build Tool Configuration Directories
 system-images contains the configuration directories for system-build to
 build live system images.
