## open-infrastructure-system-images 20161101-lts2

=== debian/changelog ===
open-infrastructure-system-images (20161101-lts2-2) unstable; urgency=low

  * Uploading to sid.
  * Using consistent email address for all downstream work.
  * Updating email address in copyright file.
  * Adding note about distribution to previous changelog entry.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 18:05:51 +0100

open-infrastructure-system-images (20161101-lts2-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101-lts2:
    - Fixes FTBFS with sh set to bash (Closes: #843045).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 16 Nov 2016 09:21:23 +0100

open-infrastructure-system-images (20161101-lts1-1) unstable; urgency=high

  * Uploading to sid.
  * Merging version 20161101-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 16:29:10 +0100

open-infrastructure-system-images (20161101-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 16:24:30 +0100
