=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel

override_dh_auto_install:
	dh_auto_install

	# Using gnome-desktop and standard only
	rm -rf debian/*/usr/share/live/images/cinnamon-desktop
	rm -rf debian/*/usr/share/live/images/kde-desktop
	rm -rf debian/*/usr/share/live/images/mate-desktop
	rm -rf debian/*/usr/share/live/images/xfce-desktop
	rm -rf debian/*/usr/share/live/images/lxde-desktop

	# Removing unused files
	rm -rf debian/*/usr/share/doc/live-images

override_dh_compress:
	dh_compress -Xusr/share/live/images

override_dh_link:
	dh_link

	for DIRECTORY in debian/*/usr/share/live/images/*; \
	do \
		IMAGE="$$(basename $${DIRECTORY})"; \
		rm -rf debian/*/usr/share/live/images/$${IMAGE}/config/bootloaders; \
		cp -a images/$${IMAGE}/config/bootloaders debian/open-infrastructure-system-images/usr/share/live/images/$${IMAGE}/config/bootloaders; \
	done
