=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/system-images/upstream/system-images-(.+)\.tar\.xz
