## open-infrastructure-system-images 20161115

=== debian/changelog ===
open-infrastructure-system-images (20161115-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161115.
  * Updating depends on open-infrastructure-system-build.
  * Removing live-manual recommends.
  * Removing live-manual conflicts and replaces.
  * Updating upstream contact in copyright file.
  * Updating build-depends for building manpages with asciidoc.
  * Removing obsolete entries in copyright file.
  * Updating rules for rearranged upstream files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Nov 2016 07:43:01 +0100
