=== debian/control ===
Source: open-infrastructure-system-images
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 asciidoc,
 debhelper (>= 10),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/system-images
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images

Package: open-infrastructure-system-images
Architecture: all
Depends:
 open-infrastructure-system-build (>= 20161115),
 ${misc:Depends},
Provides:
 system-images,
Description: System Image Build Tool Configuration Directories
 system-images contains the configuration directories for system-build to
 build live system images.
